package com.exquisite.data;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

import com.exquisite.KeyboardSkin;


@Database(entities = {Mydata.class}, version = KeyboardSkin.DB_Version, exportSchema = false)
public abstract class MydataBase extends RoomDatabase {
    public abstract MyDAO myDAO();

    private static MydataBase INSTANCE;

    public static MydataBase getInstance() {
        if (INSTANCE == null) {
            synchronized (MydataBase.class) {
                INSTANCE = Room.databaseBuilder(KeyboardSkin.getAppContext(), MydataBase.class, KeyboardSkin.DB_Name).build();
            }
        }
        return INSTANCE;
    }
}
